<template>
	<view data-remark='空状态' class="g-rh-empty g-components-empty g_flex_column_center" style="min-height: 69px;">
		<view class="btn" style="padding: 0 24px;line-height:1.3" @click="goLogin">
			<u-empty
							:text="text"
							:src="image"
			>
			</u-empty>
			<view class="g_text_c g_fs_13" style="color: #c0c4cc;" v-if="subText">{{subText}}</view>
		</view>
	</view>
</template>

<script>
	export default{
		props:{
			image:{
				default:()=>{
					return 'https://bocai-cms.oss-cn-beijing.aliyuncs.com/web-resource/dailibaoming/noData.svg'
				}
			},
			text:{
				type:String,
				default:()=>{
					return "暂无数据"
				}
			},
			subText:{
				type:String,
				default:()=>{
					return ""
				}
			},
		},
		methods:{
			goLogin(){
				let that = this;
				if(that.text == '请登录'){
					that.$emit('exportEmptyEvent')
				}
			}
		}
	}
</script>

<style>
</style>